Skip to main content

GetLocationFromCellsOrWifiNetworks

POST 

/location/ground-fix

Gets the lat, lon, and uncertainty values for the LTE/GSM/WCDMA cell(s) or wifi access points passed. Wifi will be prioritized and fall back to cell if unavailable. At least one cell or two Wi-Fi access points are required, unless fallback=singleWifi is set, which allows a single Wi-Fi access point. An empty lte, ltecatm, nbiot, gsm, wcdma, or wifi array is treated the same as an omitted field.

Return JSON payload.

Cloud-to-cloud request:

curl -X POST "$API_HOST/v1/organizations/$ORG_SLUG/projects/$PROJECT_SLUG/location/ground-fix" -H "Authorization: Bearer $NRFCLOUD_OAT" -H "Content-Type: application/json" -d "{\"lte\":[{\"mcc\": 244, \"mnc\": 91,\"tac\": 4099,\"eci\":36078631}]}"

Basic Request:

curl -X POST "$API_HOST/v1/location/ground-fix" -H "Authorization: Bearer $JWT" -H "Content-Type: application/json" -d "{\"lte\":[{\"mcc\": 244, \"mnc\": 91,\"tac\": 4099,\"eci\":36078631}], \"wifi\":[{\"macAddress\": \"00-18-39-59-8C-53\", \"ssid\": \"my-wifi-network\", \"signalStrength\": -42}, {\"macAddress\": \"00:21:55:61:F3:0A\", \"ssid\": \"my-other-wifi-network\", \"signalStrength\": -22}]}"

Save device location and silence response:

curl --verbose -X POST "$API_HOST/v1/location/ground-fix?doReply=false" -H "Authorization: Bearer $JWT" -H "Content-Type: application/json" -d "{\"lte\":[{\"mcc\": 244, \"mnc\": 91,\"tac\": 4099,\"eci\":36078631}], \"wifi\":[{\"macAddress\": \"00-18-39-59-8C-53\", \"ssid\": \"my-wifi-network\", \"signalStrength\": -42}, {\"macAddress\": \"00:21:55:61:F3:0A\", \"ssid\": \"my-other-wifi-network\", \"signalStrength\": -22}]}"

Locate using a single Wi-Fi access point:

curl -X POST "$API_HOST/v1/location/ground-fix?fallback=singleWifi" -H "Authorization: Bearer $JWT" -H "Content-Type: application/json" -d "{\"wifi\":[{\"macAddress\": \"00-18-39-59-8C-53\", \"ssid\": \"my-wifi-network\", \"signalStrength\": -42}]}"

Request​

Responses​

Returns lat/lon coordinates and uncertainty for a device using cell or wifi data.